%define oname   fcgi

Name:       ruby-%{oname}
Version:    0.9.2.1
Release:    %mkrel 16
Summary:    FastCGI library for Ruby
Group:      Development/Ruby
License:    Ruby License
URL:        https://github.com/alphallc/ruby-fcgi-ng
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     12decb527b011d739380f03f8f8c7c12a8cda516.patch
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: libfcgi-devel

%description
FastCGI is a language independent, scalable, open extension to CGI that
provides high performance without the limitations of server specific
APIs. For more information, see http://www.fastcgi.com/. This is the fork
of fcgi implementation for ruby but with ruby1.9 - ruby1.9.1 compatibility

%files
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}
%doc %{gem_docdir}

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.9.2.1-16.mga10
+ Revision: 2235369
- Mageia 10 Mass Rebuild

* Sun Feb 02 2025 pterjan <pterjan> 0.9.2.1-15.mga10
+ Revision: 2144442
- Rebuild for Ruby 3.4

* Wed Dec 04 2024 pterjan <pterjan> 0.9.2.1-14.mga10
+ Revision: 2120976
- Rebuild for Ruby 3.3

* Sat Mar 26 2022 umeabot <umeabot> 0.9.2.1-13.mga9
+ Revision: 1827224
- Mageia 9 Mass Rebuild

* Sun Mar 06 2022 pterjan <pterjan> 0.9.2.1-12.mga9
+ Revision: 1789255
- Add upstream patch for Ruby 3
- Rebuild for Ruby 3.1

* Mon Mar 02 2020 pterjan <pterjan> 0.9.2.1-10.mga8
+ Revision: 1553155
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 0.9.2.1-9.mga8
+ Revision: 1516643
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.9.2.1-8.mga7
+ Revision: 1300879
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 pterjan <pterjan> 0.9.2.1-7.mga7
+ Revision: 1188481
- Rebuild for Ruby 2.5

* Tue Aug 15 2017 pterjan <pterjan> 0.9.2.1-6.mga7
+ Revision: 1140828
- Rebuild for new Ruby
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 02 2015 spuhler <spuhler> 0.9.2.1-4.mga6
+ Revision: 907661
- rebuild with new libruby

* Wed Oct 15 2014 umeabot <umeabot> 0.9.2.1-3.mga5
+ Revision: 739208
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.2.1-2.mga5
+ Revision: 688803
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.9.2.1-1.mga4
+ Revision: 562764
- Update to 0.9.2.1 compatible with ruby2
+ umeabot <umeabot>
- Rebuild for CVE-2013-0256
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ fwang <fwang>
- try to use opensuse flavour of fcgi
- rebuild for new ruby

* Fri Feb 25 2011 shikamaru <shikamaru> 0.8.8-3.mga1
+ Revision: 59494
- do not add doc subpackage
- imported package ruby-fcgi


* Sun Jan 23 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.8.8-3mdv2011.0
- Apply new ruby policy
- Apply general mageia policy
- Use Gem source
- Fix License

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.8-2mdv2011.0
+ Revision: 614739
- the mass rebuild of 2010.1 packages

* Sun Apr 04 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.8-1mdv2010.1
+ Revision: 531350
- new version

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 0.8.7-5mdv2010.0
+ Revision: 433499
- rebuild

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 0.8.7-4mdv2009.0
+ Revision: 260404
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tv@mandriva.org> 0.8.7-3mdv2009.0
+ Revision: 251642
- rebuild

* Sun Feb 10 2008 Michael Scherer <misc@mandriva.org> 0.8.7-1mdv2008.1
+ Revision: 164795
- import ruby-fcgi


